## PolkitUnixNetgroup PolkitUnixNetgroup — Unix netgroups |

## Synopsis

                        PolkitUnixNetgroup;
    PolkitIdentity *    polkit_unix_netgroup_new            (const gchar *name);
    const gchar *       polkit_unix_netgroup_get_name       (PolkitUnixNetgroup *group);
    void                polkit_unix_netgroup_set_name       (PolkitUnixNetgroup *group,
                                                             const gchar *name);

## Object Hierarchy

      GObject
       +----PolkitUnixNetgroup

## Implemented Interfaces

PolkitUnixNetgroup implements PolkitIdentity.

## Properties

      "name"                     gchar*                : Read / Write / Construct

## Description

An object representing a netgroup identity on a UNIX system.

## Details

### PolkitUnixNetgroup

    typedef struct _PolkitUnixNetgroup PolkitUnixNetgroup;

The PolkitUnixNetgroup struct should not be accessed directly.

### polkit_unix_netgroup_new ()

    PolkitIdentity *    polkit_unix_netgroup_new            (const gchar *name);

Creates a new PolkitUnixNetgroup object for `name`.

`name` : | A netgroup name.
Returns : | A PolkitUnixNetgroup object. Free with `g_object_unref()`. [transfer full]

### polkit_unix_netgroup_get_name ()

    const gchar *       polkit_unix_netgroup_get_name       (PolkitUnixNetgroup *group);

Gets the netgroup name for `group`.

`group` : | A PolkitUnixNetgroup.
Returns : | A netgroup name string.

### polkit_unix_netgroup_set_name ()

    void                polkit_unix_netgroup_set_name       (PolkitUnixNetgroup *group,
                                                             const gchar *name);

## Property Details

### The `"name"` property

      "name"                     gchar*                : Read / Write / Construct

The NIS netgroup name.

Default value: NULL